petsc-3.12.4 2020-02-04
Report Typos and Errors

# DMPlexDistributeOverlap

Add partition overlap to a distributed non-overlapping DM.

### Synopsis

    #include "petscdmplex.h"
    #include "petscdmlabel.h"
    PetscErrorCode DMPlexDistributeOverlap(DM dm, PetscInt overlap, PetscSF *sf, DM *dmOverlap)

Collective on dm

### Input Parameter

| dm | - The non-overlapping distrbuted DMPlex object
| overlap | - The overlap of partitions (the same on all ranks)

### Output Parameter

| sf | - The PetscSF used for point distribution
| dmOverlap | - The overlapping distributed DMPlex object, or NULL

### Notes

If the mesh was not distributed, the return value is NULL.

The user can control the definition of adjacency for the mesh using DMSetAdjacency(). They should choose the combination appropriate for the function representation on the mesh.

### See Also

DMPlexCreate(), DMSetAdjacency(), DMPlexDistribute(), DMPlexCreateOverlapLabel(), DMPlexGetOverlap()

### Level

advanced

### Location

src/dm/impls/plex/plexdistribute.c
Index of all DMPLEX routines
Table of Contents for all manual pages
Index of all manual pages